<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfSetSiparisDurumRequest ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfSetSiparisDurumRequest
 * @subpackage Arrays
 */
class ArrayOfSetSiparisDurumRequest extends AbstractStructArrayBase
{
    /**
     * The SetSiparisDurumRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\SetSiparisDurumRequest[]
     */
    public $SetSiparisDurumRequest;
    /**
     * Constructor method for ArrayOfSetSiparisDurumRequest
     * @uses ArrayOfSetSiparisDurumRequest::setSetSiparisDurumRequest()
     * @param \SelectSiparis\SetSiparisDurumRequest[] $setSiparisDurumRequest
     */
    public function __construct(array $setSiparisDurumRequest = array())
    {
        $this
            ->setSetSiparisDurumRequest($setSiparisDurumRequest);
    }
    /**
     * Get SetSiparisDurumRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\SetSiparisDurumRequest[]|null
     */
    public function getSetSiparisDurumRequest()
    {
        return isset($this->SetSiparisDurumRequest) ? $this->SetSiparisDurumRequest : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSetSiparisDurumRequest method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSetSiparisDurumRequest method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSetSiparisDurumRequestForArrayConstraintsFromSetSetSiparisDurumRequest(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfSetSiparisDurumRequestSetSiparisDurumRequestItem) {
            // validation for constraint: itemType
            if (!$arrayOfSetSiparisDurumRequestSetSiparisDurumRequestItem instanceof \SelectSiparis\SetSiparisDurumRequest) {
                $invalidValues[] = is_object($arrayOfSetSiparisDurumRequestSetSiparisDurumRequestItem) ? get_class($arrayOfSetSiparisDurumRequestSetSiparisDurumRequestItem) : sprintf('%s(%s)', gettype($arrayOfSetSiparisDurumRequestSetSiparisDurumRequestItem), var_export($arrayOfSetSiparisDurumRequestSetSiparisDurumRequestItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SetSiparisDurumRequest property can only contain items of type \SelectSiparis\SetSiparisDurumRequest, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SetSiparisDurumRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\SetSiparisDurumRequest[] $setSiparisDurumRequest
     * @return \SelectSiparis\ArrayOfSetSiparisDurumRequest
     */
    public function setSetSiparisDurumRequest(array $setSiparisDurumRequest = array())
    {
        // validation for constraint: array
        if ('' !== ($setSiparisDurumRequestArrayErrorMessage = self::validateSetSiparisDurumRequestForArrayConstraintsFromSetSetSiparisDurumRequest($setSiparisDurumRequest))) {
            throw new \InvalidArgumentException($setSiparisDurumRequestArrayErrorMessage, __LINE__);
        }
        if (is_null($setSiparisDurumRequest) || (is_array($setSiparisDurumRequest) && empty($setSiparisDurumRequest))) {
            unset($this->SetSiparisDurumRequest);
        } else {
            $this->SetSiparisDurumRequest = $setSiparisDurumRequest;
        }
        return $this;
    }
    /**
     * Add item to SetSiparisDurumRequest value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\SetSiparisDurumRequest $item
     * @return \SelectSiparis\ArrayOfSetSiparisDurumRequest
     */
    public function addToSetSiparisDurumRequest(\SelectSiparis\SetSiparisDurumRequest $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\SetSiparisDurumRequest) {
            throw new \InvalidArgumentException(sprintf('The SetSiparisDurumRequest property can only contain items of type \SelectSiparis\SetSiparisDurumRequest, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SetSiparisDurumRequest[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\SetSiparisDurumRequest|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\SetSiparisDurumRequest|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\SetSiparisDurumRequest|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\SetSiparisDurumRequest|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\SetSiparisDurumRequest|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string SetSiparisDurumRequest
     */
    public function getAttributeName()
    {
        return 'SetSiparisDurumRequest';
    }
}
