<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebOzellestirmeItem ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebOzellestirmeItem
 * @subpackage Arrays
 */
class ArrayOfWebOzellestirmeItem extends AbstractStructArrayBase
{
    /**
     * The WebOzellestirmeItem
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebOzellestirmeItem[]
     */
    public $WebOzellestirmeItem;
    /**
     * Constructor method for ArrayOfWebOzellestirmeItem
     * @uses ArrayOfWebOzellestirmeItem::setWebOzellestirmeItem()
     * @param \SelectSiparis\WebOzellestirmeItem[] $webOzellestirmeItem
     */
    public function __construct(array $webOzellestirmeItem = array())
    {
        $this
            ->setWebOzellestirmeItem($webOzellestirmeItem);
    }
    /**
     * Get WebOzellestirmeItem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebOzellestirmeItem[]|null
     */
    public function getWebOzellestirmeItem()
    {
        return isset($this->WebOzellestirmeItem) ? $this->WebOzellestirmeItem : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebOzellestirmeItem method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebOzellestirmeItem method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebOzellestirmeItemForArrayConstraintsFromSetWebOzellestirmeItem(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebOzellestirmeItemWebOzellestirmeItemItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebOzellestirmeItemWebOzellestirmeItemItem instanceof \SelectSiparis\WebOzellestirmeItem) {
                $invalidValues[] = is_object($arrayOfWebOzellestirmeItemWebOzellestirmeItemItem) ? get_class($arrayOfWebOzellestirmeItemWebOzellestirmeItemItem) : sprintf('%s(%s)', gettype($arrayOfWebOzellestirmeItemWebOzellestirmeItemItem), var_export($arrayOfWebOzellestirmeItemWebOzellestirmeItemItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebOzellestirmeItem property can only contain items of type \SelectSiparis\WebOzellestirmeItem, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebOzellestirmeItem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebOzellestirmeItem[] $webOzellestirmeItem
     * @return \SelectSiparis\ArrayOfWebOzellestirmeItem
     */
    public function setWebOzellestirmeItem(array $webOzellestirmeItem = array())
    {
        // validation for constraint: array
        if ('' !== ($webOzellestirmeItemArrayErrorMessage = self::validateWebOzellestirmeItemForArrayConstraintsFromSetWebOzellestirmeItem($webOzellestirmeItem))) {
            throw new \InvalidArgumentException($webOzellestirmeItemArrayErrorMessage, __LINE__);
        }
        if (is_null($webOzellestirmeItem) || (is_array($webOzellestirmeItem) && empty($webOzellestirmeItem))) {
            unset($this->WebOzellestirmeItem);
        } else {
            $this->WebOzellestirmeItem = $webOzellestirmeItem;
        }
        return $this;
    }
    /**
     * Add item to WebOzellestirmeItem value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebOzellestirmeItem $item
     * @return \SelectSiparis\ArrayOfWebOzellestirmeItem
     */
    public function addToWebOzellestirmeItem(\SelectSiparis\WebOzellestirmeItem $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\WebOzellestirmeItem) {
            throw new \InvalidArgumentException(sprintf('The WebOzellestirmeItem property can only contain items of type \SelectSiparis\WebOzellestirmeItem, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebOzellestirmeItem[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\WebOzellestirmeItem|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\WebOzellestirmeItem|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\WebOzellestirmeItem|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\WebOzellestirmeItem|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\WebOzellestirmeItem|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebOzellestirmeItem
     */
    public function getAttributeName()
    {
        return 'WebOzellestirmeItem';
    }
}
