<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebServisResponse ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebServisResponse
 * @subpackage Arrays
 */
class ArrayOfWebServisResponse extends AbstractStructArrayBase
{
    /**
     * The WebServisResponse
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebServisResponse[]
     */
    public $WebServisResponse;
    /**
     * Constructor method for ArrayOfWebServisResponse
     * @uses ArrayOfWebServisResponse::setWebServisResponse()
     * @param \SelectSiparis\WebServisResponse[] $webServisResponse
     */
    public function __construct(array $webServisResponse = array())
    {
        $this
            ->setWebServisResponse($webServisResponse);
    }
    /**
     * Get WebServisResponse value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebServisResponse[]|null
     */
    public function getWebServisResponse()
    {
        return isset($this->WebServisResponse) ? $this->WebServisResponse : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebServisResponse method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebServisResponse method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebServisResponseForArrayConstraintsFromSetWebServisResponse(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebServisResponseWebServisResponseItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebServisResponseWebServisResponseItem instanceof \SelectSiparis\WebServisResponse) {
                $invalidValues[] = is_object($arrayOfWebServisResponseWebServisResponseItem) ? get_class($arrayOfWebServisResponseWebServisResponseItem) : sprintf('%s(%s)', gettype($arrayOfWebServisResponseWebServisResponseItem), var_export($arrayOfWebServisResponseWebServisResponseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebServisResponse property can only contain items of type \SelectSiparis\WebServisResponse, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebServisResponse value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebServisResponse[] $webServisResponse
     * @return \SelectSiparis\ArrayOfWebServisResponse
     */
    public function setWebServisResponse(array $webServisResponse = array())
    {
        // validation for constraint: array
        if ('' !== ($webServisResponseArrayErrorMessage = self::validateWebServisResponseForArrayConstraintsFromSetWebServisResponse($webServisResponse))) {
            throw new \InvalidArgumentException($webServisResponseArrayErrorMessage, __LINE__);
        }
        if (is_null($webServisResponse) || (is_array($webServisResponse) && empty($webServisResponse))) {
            unset($this->WebServisResponse);
        } else {
            $this->WebServisResponse = $webServisResponse;
        }
        return $this;
    }
    /**
     * Add item to WebServisResponse value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebServisResponse $item
     * @return \SelectSiparis\ArrayOfWebServisResponse
     */
    public function addToWebServisResponse(\SelectSiparis\WebServisResponse $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\WebServisResponse) {
            throw new \InvalidArgumentException(sprintf('The WebServisResponse property can only contain items of type \SelectSiparis\WebServisResponse, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebServisResponse[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\WebServisResponse|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\WebServisResponse|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\WebServisResponse|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\WebServisResponse|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\WebServisResponse|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebServisResponse
     */
    public function getAttributeName()
    {
        return 'WebServisResponse';
    }
}
