<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparis ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparis
 * @subpackage Arrays
 */
class ArrayOfWebSiparis extends AbstractStructArrayBase
{
    /**
     * The WebSiparis
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebSiparis[]
     */
    public $WebSiparis;
    /**
     * Constructor method for ArrayOfWebSiparis
     * @uses ArrayOfWebSiparis::setWebSiparis()
     * @param \SelectSiparis\WebSiparis[] $webSiparis
     */
    public function __construct(array $webSiparis = array())
    {
        $this
            ->setWebSiparis($webSiparis);
    }
    /**
     * Get WebSiparis value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebSiparis[]|null
     */
    public function getWebSiparis()
    {
        return isset($this->WebSiparis) ? $this->WebSiparis : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebSiparis method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebSiparis method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebSiparisForArrayConstraintsFromSetWebSiparis(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebSiparisWebSiparisItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisWebSiparisItem instanceof \SelectSiparis\WebSiparis) {
                $invalidValues[] = is_object($arrayOfWebSiparisWebSiparisItem) ? get_class($arrayOfWebSiparisWebSiparisItem) : sprintf('%s(%s)', gettype($arrayOfWebSiparisWebSiparisItem), var_export($arrayOfWebSiparisWebSiparisItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebSiparis property can only contain items of type \SelectSiparis\WebSiparis, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebSiparis value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparis[] $webSiparis
     * @return \SelectSiparis\ArrayOfWebSiparis
     */
    public function setWebSiparis(array $webSiparis = array())
    {
        // validation for constraint: array
        if ('' !== ($webSiparisArrayErrorMessage = self::validateWebSiparisForArrayConstraintsFromSetWebSiparis($webSiparis))) {
            throw new \InvalidArgumentException($webSiparisArrayErrorMessage, __LINE__);
        }
        if (is_null($webSiparis) || (is_array($webSiparis) && empty($webSiparis))) {
            unset($this->WebSiparis);
        } else {
            $this->WebSiparis = $webSiparis;
        }
        return $this;
    }
    /**
     * Add item to WebSiparis value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparis $item
     * @return \SelectSiparis\ArrayOfWebSiparis
     */
    public function addToWebSiparis(\SelectSiparis\WebSiparis $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\WebSiparis) {
            throw new \InvalidArgumentException(sprintf('The WebSiparis property can only contain items of type \SelectSiparis\WebSiparis, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebSiparis[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\WebSiparis|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\WebSiparis|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\WebSiparis|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\WebSiparis|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\WebSiparis|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparis
     */
    public function getAttributeName()
    {
        return 'WebSiparis';
    }
}
