<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparisOdeme ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparisOdeme
 * @subpackage Arrays
 */
class ArrayOfWebSiparisOdeme extends AbstractStructArrayBase
{
    /**
     * The WebSiparisOdeme
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebSiparisOdeme[]
     */
    public $WebSiparisOdeme;
    /**
     * Constructor method for ArrayOfWebSiparisOdeme
     * @uses ArrayOfWebSiparisOdeme::setWebSiparisOdeme()
     * @param \SelectSiparis\WebSiparisOdeme[] $webSiparisOdeme
     */
    public function __construct(array $webSiparisOdeme = array())
    {
        $this
            ->setWebSiparisOdeme($webSiparisOdeme);
    }
    /**
     * Get WebSiparisOdeme value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebSiparisOdeme[]|null
     */
    public function getWebSiparisOdeme()
    {
        return isset($this->WebSiparisOdeme) ? $this->WebSiparisOdeme : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebSiparisOdeme method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebSiparisOdeme method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebSiparisOdemeForArrayConstraintsFromSetWebSiparisOdeme(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebSiparisOdemeWebSiparisOdemeItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisOdemeWebSiparisOdemeItem instanceof \SelectSiparis\WebSiparisOdeme) {
                $invalidValues[] = is_object($arrayOfWebSiparisOdemeWebSiparisOdemeItem) ? get_class($arrayOfWebSiparisOdemeWebSiparisOdemeItem) : sprintf('%s(%s)', gettype($arrayOfWebSiparisOdemeWebSiparisOdemeItem), var_export($arrayOfWebSiparisOdemeWebSiparisOdemeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebSiparisOdeme property can only contain items of type \SelectSiparis\WebSiparisOdeme, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebSiparisOdeme value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparisOdeme[] $webSiparisOdeme
     * @return \SelectSiparis\ArrayOfWebSiparisOdeme
     */
    public function setWebSiparisOdeme(array $webSiparisOdeme = array())
    {
        // validation for constraint: array
        if ('' !== ($webSiparisOdemeArrayErrorMessage = self::validateWebSiparisOdemeForArrayConstraintsFromSetWebSiparisOdeme($webSiparisOdeme))) {
            throw new \InvalidArgumentException($webSiparisOdemeArrayErrorMessage, __LINE__);
        }
        if (is_null($webSiparisOdeme) || (is_array($webSiparisOdeme) && empty($webSiparisOdeme))) {
            unset($this->WebSiparisOdeme);
        } else {
            $this->WebSiparisOdeme = $webSiparisOdeme;
        }
        return $this;
    }
    /**
     * Add item to WebSiparisOdeme value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparisOdeme $item
     * @return \SelectSiparis\ArrayOfWebSiparisOdeme
     */
    public function addToWebSiparisOdeme(\SelectSiparis\WebSiparisOdeme $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\WebSiparisOdeme) {
            throw new \InvalidArgumentException(sprintf('The WebSiparisOdeme property can only contain items of type \SelectSiparis\WebSiparisOdeme, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebSiparisOdeme[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\WebSiparisOdeme|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\WebSiparisOdeme|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\WebSiparisOdeme|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\WebSiparisOdeme|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\WebSiparisOdeme|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparisOdeme
     */
    public function getAttributeName()
    {
        return 'WebSiparisOdeme';
    }
}
