<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparisSaveOdeme ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparisSaveOdeme
 * @subpackage Arrays
 */
class ArrayOfWebSiparisSaveOdeme extends AbstractStructArrayBase
{
    /**
     * The WebSiparisSaveOdeme
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebSiparisSaveOdeme[]
     */
    public $WebSiparisSaveOdeme;
    /**
     * Constructor method for ArrayOfWebSiparisSaveOdeme
     * @uses ArrayOfWebSiparisSaveOdeme::setWebSiparisSaveOdeme()
     * @param \SelectSiparis\WebSiparisSaveOdeme[] $webSiparisSaveOdeme
     */
    public function __construct(array $webSiparisSaveOdeme = array())
    {
        $this
            ->setWebSiparisSaveOdeme($webSiparisSaveOdeme);
    }
    /**
     * Get WebSiparisSaveOdeme value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebSiparisSaveOdeme[]|null
     */
    public function getWebSiparisSaveOdeme()
    {
        return isset($this->WebSiparisSaveOdeme) ? $this->WebSiparisSaveOdeme : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebSiparisSaveOdeme method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebSiparisSaveOdeme method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebSiparisSaveOdemeForArrayConstraintsFromSetWebSiparisSaveOdeme(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebSiparisSaveOdemeWebSiparisSaveOdemeItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisSaveOdemeWebSiparisSaveOdemeItem instanceof \SelectSiparis\WebSiparisSaveOdeme) {
                $invalidValues[] = is_object($arrayOfWebSiparisSaveOdemeWebSiparisSaveOdemeItem) ? get_class($arrayOfWebSiparisSaveOdemeWebSiparisSaveOdemeItem) : sprintf('%s(%s)', gettype($arrayOfWebSiparisSaveOdemeWebSiparisSaveOdemeItem), var_export($arrayOfWebSiparisSaveOdemeWebSiparisSaveOdemeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebSiparisSaveOdeme property can only contain items of type \SelectSiparis\WebSiparisSaveOdeme, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebSiparisSaveOdeme value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparisSaveOdeme[] $webSiparisSaveOdeme
     * @return \SelectSiparis\ArrayOfWebSiparisSaveOdeme
     */
    public function setWebSiparisSaveOdeme(array $webSiparisSaveOdeme = array())
    {
        // validation for constraint: array
        if ('' !== ($webSiparisSaveOdemeArrayErrorMessage = self::validateWebSiparisSaveOdemeForArrayConstraintsFromSetWebSiparisSaveOdeme($webSiparisSaveOdeme))) {
            throw new \InvalidArgumentException($webSiparisSaveOdemeArrayErrorMessage, __LINE__);
        }
        if (is_null($webSiparisSaveOdeme) || (is_array($webSiparisSaveOdeme) && empty($webSiparisSaveOdeme))) {
            unset($this->WebSiparisSaveOdeme);
        } else {
            $this->WebSiparisSaveOdeme = $webSiparisSaveOdeme;
        }
        return $this;
    }
    /**
     * Add item to WebSiparisSaveOdeme value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparisSaveOdeme $item
     * @return \SelectSiparis\ArrayOfWebSiparisSaveOdeme
     */
    public function addToWebSiparisSaveOdeme(\SelectSiparis\WebSiparisSaveOdeme $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\WebSiparisSaveOdeme) {
            throw new \InvalidArgumentException(sprintf('The WebSiparisSaveOdeme property can only contain items of type \SelectSiparis\WebSiparisSaveOdeme, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebSiparisSaveOdeme[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\WebSiparisSaveOdeme|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\WebSiparisSaveOdeme|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\WebSiparisSaveOdeme|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\WebSiparisSaveOdeme|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\WebSiparisSaveOdeme|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparisSaveOdeme
     */
    public function getAttributeName()
    {
        return 'WebSiparisSaveOdeme';
    }
}
