<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparisUrun ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparisUrun
 * @subpackage Arrays
 */
class ArrayOfWebSiparisUrun extends AbstractStructArrayBase
{
    /**
     * The WebSiparisUrun
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebSiparisUrun[]
     */
    public $WebSiparisUrun;
    /**
     * Constructor method for ArrayOfWebSiparisUrun
     * @uses ArrayOfWebSiparisUrun::setWebSiparisUrun()
     * @param \SelectSiparis\WebSiparisUrun[] $webSiparisUrun
     */
    public function __construct(array $webSiparisUrun = array())
    {
        $this
            ->setWebSiparisUrun($webSiparisUrun);
    }
    /**
     * Get WebSiparisUrun value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebSiparisUrun[]|null
     */
    public function getWebSiparisUrun()
    {
        return isset($this->WebSiparisUrun) ? $this->WebSiparisUrun : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebSiparisUrun method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebSiparisUrun method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebSiparisUrunForArrayConstraintsFromSetWebSiparisUrun(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebSiparisUrunWebSiparisUrunItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisUrunWebSiparisUrunItem instanceof \SelectSiparis\WebSiparisUrun) {
                $invalidValues[] = is_object($arrayOfWebSiparisUrunWebSiparisUrunItem) ? get_class($arrayOfWebSiparisUrunWebSiparisUrunItem) : sprintf('%s(%s)', gettype($arrayOfWebSiparisUrunWebSiparisUrunItem), var_export($arrayOfWebSiparisUrunWebSiparisUrunItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebSiparisUrun property can only contain items of type \SelectSiparis\WebSiparisUrun, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebSiparisUrun value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparisUrun[] $webSiparisUrun
     * @return \SelectSiparis\ArrayOfWebSiparisUrun
     */
    public function setWebSiparisUrun(array $webSiparisUrun = array())
    {
        // validation for constraint: array
        if ('' !== ($webSiparisUrunArrayErrorMessage = self::validateWebSiparisUrunForArrayConstraintsFromSetWebSiparisUrun($webSiparisUrun))) {
            throw new \InvalidArgumentException($webSiparisUrunArrayErrorMessage, __LINE__);
        }
        if (is_null($webSiparisUrun) || (is_array($webSiparisUrun) && empty($webSiparisUrun))) {
            unset($this->WebSiparisUrun);
        } else {
            $this->WebSiparisUrun = $webSiparisUrun;
        }
        return $this;
    }
    /**
     * Add item to WebSiparisUrun value
     * @throws \InvalidArgumentException
     * @param \SelectSiparis\WebSiparisUrun $item
     * @return \SelectSiparis\ArrayOfWebSiparisUrun
     */
    public function addToWebSiparisUrun(\SelectSiparis\WebSiparisUrun $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \SelectSiparis\WebSiparisUrun) {
            throw new \InvalidArgumentException(sprintf('The WebSiparisUrun property can only contain items of type \SelectSiparis\WebSiparisUrun, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebSiparisUrun[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \SelectSiparis\WebSiparisUrun|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \SelectSiparis\WebSiparisUrun|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \SelectSiparis\WebSiparisUrun|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \SelectSiparis\WebSiparisUrun|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \SelectSiparis\WebSiparisUrun|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparisUrun
     */
    public function getAttributeName()
    {
        return 'WebSiparisUrun';
    }
}
