<?php

namespace SelectSiparis;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfint' => '\\SelectSiparis\\ArrayOfint',
            'ArrayOfstring' => '\\SelectSiparis\\ArrayOfstring',
            'WebSiparisFiltre' => '\\SelectSiparis\\WebSiparisFiltre',
            'WebSiparisEntegrasyon' => '\\SelectSiparis\\WebSiparisEntegrasyon',
            'WebSiparisSayfalama' => '\\SelectSiparis\\WebSiparisSayfalama',
            'ArrayOfWebSiparis' => '\\SelectSiparis\\ArrayOfWebSiparis',
            'WebSiparis' => '\\SelectSiparis\\WebSiparis',
            'FaturaAdres' => '\\SelectSiparis\\FaturaAdres',
            'WebUlke' => '\\SelectSiparis\\WebUlke',
            'ArrayOfWebSiparisKampanya' => '\\SelectSiparis\\ArrayOfWebSiparisKampanya',
            'WebSiparisKampanya' => '\\SelectSiparis\\WebSiparisKampanya',
            'ArrayOfWebSiparisOdeme' => '\\SelectSiparis\\ArrayOfWebSiparisOdeme',
            'WebSiparisOdeme' => '\\SelectSiparis\\WebSiparisOdeme',
            'OdemeEkBilgi' => '\\SelectSiparis\\OdemeEkBilgi',
            'PuanKullanim' => '\\SelectSiparis\\PuanKullanim',
            'TeslimatAdres' => '\\SelectSiparis\\TeslimatAdres',
            'ArrayOfWebSiparisUrun' => '\\SelectSiparis\\ArrayOfWebSiparisUrun',
            'WebSiparisUrun' => '\\SelectSiparis\\WebSiparisUrun',
            'ArrayOfWebSiparisUrunEkSecenekOzellik' => '\\SelectSiparis\\ArrayOfWebSiparisUrunEkSecenekOzellik',
            'WebSiparisUrunEkSecenekOzellik' => '\\SelectSiparis\\WebSiparisUrunEkSecenekOzellik',
            'ArrayOfWebSepetOzellestirme' => '\\SelectSiparis\\ArrayOfWebSepetOzellestirme',
            'WebSepetOzellestirme' => '\\SelectSiparis\\WebSepetOzellestirme',
            'ArrayOfWebOzellestirmeItem' => '\\SelectSiparis\\ArrayOfWebOzellestirmeItem',
            'WebOzellestirmeItem' => '\\SelectSiparis\\WebOzellestirmeItem',
            'WebSiparisOdemeFiltre' => '\\SelectSiparis\\WebSiparisOdemeFiltre',
            'WebSiparisSaveRequest' => '\\SelectSiparis\\WebSiparisSaveRequest',
            'WebFaturaAdres' => '\\SelectSiparis\\WebFaturaAdres',
            'WebSiparisSaveOdeme' => '\\SelectSiparis\\WebSiparisSaveOdeme',
            'ArrayOfWebSiparisSaveOdeme' => '\\SelectSiparis\\ArrayOfWebSiparisSaveOdeme',
            'WebTeslimatAdres' => '\\SelectSiparis\\WebTeslimatAdres',
            'ArrayOfWebSiparisSaveUrun' => '\\SelectSiparis\\ArrayOfWebSiparisSaveUrun',
            'WebSiparisSaveUrun' => '\\SelectSiparis\\WebSiparisSaveUrun',
            'WebSiparisSaveResponse' => '\\SelectSiparis\\WebSiparisSaveResponse',
            'WebServisResponse' => '\\SelectSiparis\\WebServisResponse',
            'ArrayOfWebServisResponse' => '\\SelectSiparis\\ArrayOfWebServisResponse',
            'ArrayOfWebSepet' => '\\SelectSiparis\\ArrayOfWebSepet',
            'WebSepet' => '\\SelectSiparis\\WebSepet',
            'ArrayOfWebSepetUrun' => '\\SelectSiparis\\ArrayOfWebSepetUrun',
            'WebSepetUrun' => '\\SelectSiparis\\WebSepetUrun',
            'WebHediyeCekiUygulaRequest' => '\\SelectSiparis\\WebHediyeCekiUygulaRequest',
            'WebHediyeCekiUygulaResponse' => '\\SelectSiparis\\WebHediyeCekiUygulaResponse',
            'SetSiparisDurumRequest' => '\\SelectSiparis\\SetSiparisDurumRequest',
            'SetSiparisDurumResponse' => '\\SelectSiparis\\SetSiparisDurumResponse',
            'SetSiparisUrunDurumRequest' => '\\SelectSiparis\\SetSiparisUrunDurumRequest',
            'SetSiparisUrunDurumResponse' => '\\SelectSiparis\\SetSiparisUrunDurumResponse',
            'SiparisiKargoyaGonderRequest' => '\\SelectSiparis\\SiparisiKargoyaGonderRequest',
            'SiparisiKargoyaGonderResponse' => '\\SelectSiparis\\SiparisiKargoyaGonderResponse',
            'ArrayOfSiparisUrunDurumlari' => '\\SelectSiparis\\ArrayOfSiparisUrunDurumlari',
            'SiparisUrunDurumlari' => '\\SelectSiparis\\SiparisUrunDurumlari',
            'UrunIdaneNedenleriResponse' => '\\SelectSiparis\\UrunIdaneNedenleriResponse',
            'ArrayOfUrunIadeNeden' => '\\SelectSiparis\\ArrayOfUrunIadeNeden',
            'UrunIadeNeden' => '\\SelectSiparis\\UrunIadeNeden',
            'WebSiparisKargoPaketFiltre' => '\\SelectSiparis\\WebSiparisKargoPaketFiltre',
            'ArrayOfWebKargoPaket' => '\\SelectSiparis\\ArrayOfWebKargoPaket',
            'WebKargoPaket' => '\\SelectSiparis\\WebKargoPaket',
            'ArrayOfSiparisKargoPaketUrun' => '\\SelectSiparis\\ArrayOfSiparisKargoPaketUrun',
            'SiparisKargoPaketUrun' => '\\SelectSiparis\\SiparisKargoPaketUrun',
            'SaveSiparisKargoPaketKargoTakipNoResponse' => '\\SelectSiparis\\SaveSiparisKargoPaketKargoTakipNoResponse',
            'GetKargoSecenekRequest' => '\\SelectSiparis\\GetKargoSecenekRequest',
            'ServisSepet' => '\\SelectSiparis\\ServisSepet',
            'ArrayOfServisSepetUrun' => '\\SelectSiparis\\ArrayOfServisSepetUrun',
            'ServisSepetUrun' => '\\SelectSiparis\\ServisSepetUrun',
            'ArrayOfWebKargoFirma' => '\\SelectSiparis\\ArrayOfWebKargoFirma',
            'WebKargoFirma' => '\\SelectSiparis\\WebKargoFirma',
            'SelectWebSepetRequest' => '\\SelectSiparis\\SelectWebSepetRequest',
            'CreateSepetRequest' => '\\SelectSiparis\\CreateSepetRequest',
            'WebUpdateSepetRequest' => '\\SelectSiparis\\WebUpdateSepetRequest',
            'WebUpdateSepetResponse' => '\\SelectSiparis\\WebUpdateSepetResponse',
            'GetSepetRequest' => '\\SelectSiparis\\GetSepetRequest',
            'ArrayOfSiparisOdemeTipleri' => '\\SelectSiparis\\ArrayOfSiparisOdemeTipleri',
            'SiparisOdemeTipleri' => '\\SelectSiparis\\SiparisOdemeTipleri',
            'SetSepetKampanyaRequest' => '\\SelectSiparis\\SetSepetKampanyaRequest',
            'SetSepetKampanyaResponse' => '\\SelectSiparis\\SetSepetKampanyaResponse',
            'WebMagazaFiltre' => '\\SelectSiparis\\WebMagazaFiltre',
            'ArrayOfWebMagaza' => '\\SelectSiparis\\ArrayOfWebMagaza',
            'WebMagaza' => '\\SelectSiparis\\WebMagaza',
            'WebMagazaAyar' => '\\SelectSiparis\\WebMagazaAyar',
            'WebSaveMagazaResponse' => '\\SelectSiparis\\WebSaveMagazaResponse',
            'SetSiparisOdemeDurumRequest' => '\\SelectSiparis\\SetSiparisOdemeDurumRequest',
            'SetSiparisOdemeDurumResponse' => '\\SelectSiparis\\SetSiparisOdemeDurumResponse',
            'SelectEFaturaRequest' => '\\SelectSiparis\\SelectEFaturaRequest',
            'SelectEFaturaResponse' => '\\SelectSiparis\\SelectEFaturaResponse',
            'ArrayOfEFatura' => '\\SelectSiparis\\ArrayOfEFatura',
            'EFatura' => '\\SelectSiparis\\EFatura',
            'SaveEFatura' => '\\SelectSiparis\\SaveEFatura',
            'SaveEFaturaRequest' => '\\SelectSiparis\\SaveEFaturaRequest',
            'SaveEFaturaResponse' => '\\SelectSiparis\\SaveEFaturaResponse',
            'EFaturaIptalRequest' => '\\SelectSiparis\\EFaturaIptalRequest',
            'EFaturaIptalResponse' => '\\SelectSiparis\\EFaturaIptalResponse',
            'SelectIadeOdemeFiltre' => '\\SelectSiparis\\SelectIadeOdemeFiltre',
            'SelectIadeOdemeResponse' => '\\SelectSiparis\\SelectIadeOdemeResponse',
            'ArrayOfIadeOdeme' => '\\SelectSiparis\\ArrayOfIadeOdeme',
            'IadeOdeme' => '\\SelectSiparis\\IadeOdeme',
            'SaveBekleyenAramaRequest' => '\\SelectSiparis\\SaveBekleyenAramaRequest',
            'SaveBekleyenAramaResponse' => '\\SelectSiparis\\SaveBekleyenAramaResponse',
            'SelectSiparisDurumlariResponse' => '\\SelectSiparis\\SelectSiparisDurumlariResponse',
            'ArrayOfEnumKeyValue' => '\\SelectSiparis\\ArrayOfEnumKeyValue',
            'EnumKeyValue' => '\\SelectSiparis\\EnumKeyValue',
            'SelectOdemeTipleriResponse' => '\\SelectSiparis\\SelectOdemeTipleriResponse',
            'SetReferansNoResponse' => '\\SelectSiparis\\SetReferansNoResponse',
            'ArrayOfSetSiparisDurumRequest' => '\\SelectSiparis\\ArrayOfSetSiparisDurumRequest',
            'SetSiparisDurumListeResponse' => '\\SelectSiparis\\SetSiparisDurumListeResponse',
            'ArrayOfSetSiparisDurumListError' => '\\SelectSiparis\\ArrayOfSetSiparisDurumListError',
            'SetSiparisDurumListError' => '\\SelectSiparis\\SetSiparisDurumListError',
            'SelectSiparisDurumRequest' => '\\SelectSiparis\\SelectSiparisDurumRequest',
            'SelectSiparisDurumResponse' => '\\SelectSiparis\\SelectSiparisDurumResponse',
            'WebSiparisDurumLogFiltre' => '\\SelectSiparis\\WebSiparisDurumLogFiltre',
            'SelectSiparisDurumLogListResponse' => '\\SelectSiparis\\SelectSiparisDurumLogListResponse',
            'ArrayOfWebSiparisDurumLog' => '\\SelectSiparis\\ArrayOfWebSiparisDurumLog',
            'WebSiparisDurumLog' => '\\SelectSiparis\\WebSiparisDurumLog',
            'UpdateEfaturaRequest' => '\\SelectSiparis\\UpdateEfaturaRequest',
            'UpdateEfaturaResponse' => '\\SelectSiparis\\UpdateEfaturaResponse',
            'IadeOdemeRequest' => '\\SelectSiparis\\IadeOdemeRequest',
            'IadeOdemeResponse' => '\\SelectSiparis\\IadeOdemeResponse',
            'SiparisAnonimlestirRequest' => '\\SelectSiparis\\SiparisAnonimlestirRequest',
            'SiparisAnonimlestirResponse' => '\\SelectSiparis\\SiparisAnonimlestirResponse',
            'ArrayOfBLPaketlemeDurum' => '\\SelectSiparis\\ArrayOfBLPaketlemeDurum',
            'BLPaketlemeDurum' => '\\SelectSiparis\\BLPaketlemeDurum',
            'SelectSiparis' => '\\SelectSiparis\\SelectSiparis',
            'SelectSiparisResponse' => '\\SelectSiparis\\SelectSiparisResponse',
            'SelectSiparisOdeme' => '\\SelectSiparis\\SelectSiparisOdeme',
            'SelectSiparisOdemeResponse' => '\\SelectSiparis\\SelectSiparisOdemeResponse',
            'SelectCariOdeme' => '\\SelectSiparis\\SelectCariOdeme',
            'SelectCariOdemeResponse' => '\\SelectSiparis\\SelectCariOdemeResponse',
            'SelectSiparisUrun' => '\\SelectSiparis\\SelectSiparisUrun',
            'SelectSiparisUrunResponse' => '\\SelectSiparis\\SelectSiparisUrunResponse',
            'SelectSiparisKampanya' => '\\SelectSiparis\\SelectSiparisKampanya',
            'SelectSiparisKampanyaResponse' => '\\SelectSiparis\\SelectSiparisKampanyaResponse',
            'SaveSiparis' => '\\SelectSiparis\\SaveSiparis',
            'SaveSiparisResponse' => '\\SelectSiparis\\SaveSiparisResponse',
            'SetSiparisAktarildi' => '\\SelectSiparis\\SetSiparisAktarildi',
            'SetSiparisAktarildiResponse' => '\\SelectSiparis\\SetSiparisAktarildiResponse',
            'SetSiparisAktarildiV2' => '\\SelectSiparis\\SetSiparisAktarildiV2',
            'SetSiparisAktarildiV2Response' => '\\SelectSiparis\\SetSiparisAktarildiV2Response',
            'SetSiparisAktarildiIptal' => '\\SelectSiparis\\SetSiparisAktarildiIptal',
            'SetSiparisAktarildiIptalResponse' => '\\SelectSiparis\\SetSiparisAktarildiIptalResponse',
            'SetSiparisKargoyaVerildi' => '\\SelectSiparis\\SetSiparisKargoyaVerildi',
            'SetSiparisKargoyaVerildiResponse' => '\\SelectSiparis\\SetSiparisKargoyaVerildiResponse',
            'SetSiparisTeslimEdildi' => '\\SelectSiparis\\SetSiparisTeslimEdildi',
            'SetSiparisTeslimEdildiResponse' => '\\SelectSiparis\\SetSiparisTeslimEdildiResponse',
            'SetFaturaNo' => '\\SelectSiparis\\SetFaturaNo',
            'SetFaturaNoResponse' => '\\SelectSiparis\\SetFaturaNoResponse',
            'SaveKargoTakipNo' => '\\SelectSiparis\\SaveKargoTakipNo',
            'SaveKargoTakipNoResponse' => '\\SelectSiparis\\SaveKargoTakipNoResponse',
            'SelectSepet' => '\\SelectSiparis\\SelectSepet',
            'SelectSepetResponse' => '\\SelectSiparis\\SelectSepetResponse',
            'HediyeCekiUygula' => '\\SelectSiparis\\HediyeCekiUygula',
            'HediyeCekiUygulaResponse' => '\\SelectSiparis\\HediyeCekiUygulaResponse',
            'SetSiparisDurum' => '\\SelectSiparis\\SetSiparisDurum',
            'SetSiparisUrunDurum' => '\\SelectSiparis\\SetSiparisUrunDurum',
            'SaveSiparisKargoPaket' => '\\SelectSiparis\\SaveSiparisKargoPaket',
            'SaveSiparisKargoPaketResponse' => '\\SelectSiparis\\SaveSiparisKargoPaketResponse',
            'SiparisPaketleKargoyaGonder' => '\\SelectSiparis\\SiparisPaketleKargoyaGonder',
            'SiparisPaketleKargoyaGonderResponse' => '\\SelectSiparis\\SiparisPaketleKargoyaGonderResponse',
            'SelectSiparisUrunDurumlari' => '\\SelectSiparis\\SelectSiparisUrunDurumlari',
            'SelectSiparisUrunDurumlariResponse' => '\\SelectSiparis\\SelectSiparisUrunDurumlariResponse',
            'SelectUrunIadeNedenleri' => '\\SelectSiparis\\SelectUrunIadeNedenleri',
            'SelectUrunIadeNedenleriResponse' => '\\SelectSiparis\\SelectUrunIadeNedenleriResponse',
            'SelectSiparisKargoPaket' => '\\SelectSiparis\\SelectSiparisKargoPaket',
            'SelectSiparisKargoPaketResponse' => '\\SelectSiparis\\SelectSiparisKargoPaketResponse',
            'SaveSiparisKargoPaketKargoTakipNo' => '\\SelectSiparis\\SaveSiparisKargoPaketKargoTakipNo',
            'GetKargoSecenek' => '\\SelectSiparis\\GetKargoSecenek',
            'GetKargoSecenekResponse' => '\\SelectSiparis\\GetKargoSecenekResponse',
            'SelectWebSepet' => '\\SelectSiparis\\SelectWebSepet',
            'SelectWebSepetResponse' => '\\SelectSiparis\\SelectWebSepetResponse',
            'CreateSepet' => '\\SelectSiparis\\CreateSepet',
            'CreateSepetResponse' => '\\SelectSiparis\\CreateSepetResponse',
            'UpdateSepet' => '\\SelectSiparis\\UpdateSepet',
            'UpdateSepetResponse' => '\\SelectSiparis\\UpdateSepetResponse',
            'GetSepet' => '\\SelectSiparis\\GetSepet',
            'GetSepetResponse' => '\\SelectSiparis\\GetSepetResponse',
            'GetOdemeTipleri' => '\\SelectSiparis\\GetOdemeTipleri',
            'GetOdemeTipleriResponse' => '\\SelectSiparis\\GetOdemeTipleriResponse',
            'SetSepetKampanya' => '\\SelectSiparis\\SetSepetKampanya',
            'GetPaketlemeDurumlari' => '\\SelectSiparis\\GetPaketlemeDurumlari',
            'GetPaketlemeDurumlariResponse' => '\\SelectSiparis\\GetPaketlemeDurumlariResponse',
            'GetMagazalar' => '\\SelectSiparis\\GetMagazalar',
            'GetMagazalarResponse' => '\\SelectSiparis\\GetMagazalarResponse',
            'SaveMagaza' => '\\SelectSiparis\\SaveMagaza',
            'SaveMagazaResponse' => '\\SelectSiparis\\SaveMagazaResponse',
            'SetSiparisPaketlemeDurum' => '\\SelectSiparis\\SetSiparisPaketlemeDurum',
            'SetSiparisPaketlemeDurumResponse' => '\\SelectSiparis\\SetSiparisPaketlemeDurumResponse',
            'SetSiparisKargoFirmaId' => '\\SelectSiparis\\SetSiparisKargoFirmaId',
            'SetSiparisKargoFirmaIdResponse' => '\\SelectSiparis\\SetSiparisKargoFirmaIdResponse',
            'SetSiparisOdemeDurum' => '\\SelectSiparis\\SetSiparisOdemeDurum',
            'SelectEFatura' => '\\SelectSiparis\\SelectEFatura',
            'SetEFaturaIptal' => '\\SelectSiparis\\SetEFaturaIptal',
            'SetEFaturaIptalResponse' => '\\SelectSiparis\\SetEFaturaIptalResponse',
            'SelectIadeOdeme' => '\\SelectSiparis\\SelectIadeOdeme',
            'SaveBekleyenArama' => '\\SelectSiparis\\SaveBekleyenArama',
            'SelectSiparisDurumlari' => '\\SelectSiparis\\SelectSiparisDurumlari',
            'SelectOdemeTipleri' => '\\SelectSiparis\\SelectOdemeTipleri',
            'SetReferansNo' => '\\SelectSiparis\\SetReferansNo',
            'SetSiparisDurumListe' => '\\SelectSiparis\\SetSiparisDurumListe',
            'SelectSiparisDurum' => '\\SelectSiparis\\SelectSiparisDurum',
            'SelectSiparisDurumLog' => '\\SelectSiparis\\SelectSiparisDurumLog',
            'SelectSiparisDurumLogResponse' => '\\SelectSiparis\\SelectSiparisDurumLogResponse',
            'UpdateEFatura' => '\\SelectSiparis\\UpdateEFatura',
            'UpdateEFaturaResponse' => '\\SelectSiparis\\UpdateEFaturaResponse_1',
            'SaveIadeOdeme' => '\\SelectSiparis\\SaveIadeOdeme',
            'SaveIadeOdemeResponse' => '\\SelectSiparis\\SaveIadeOdemeResponse',
            'SiparisAnonimlestir' => '\\SelectSiparis\\SiparisAnonimlestir',
        );
    }
}
