<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveMagaza StructType
 * @subpackage Structs
 */
class SaveMagaza extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The magazaList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\ArrayOfWebMagaza
     */
    public $magazaList;
    /**
     * The ayar
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\WebMagazaAyar
     */
    public $ayar;
    /**
     * Constructor method for SaveMagaza
     * @uses SaveMagaza::setUyeKodu()
     * @uses SaveMagaza::setMagazaList()
     * @uses SaveMagaza::setAyar()
     * @param string $uyeKodu
     * @param \SelectSiparis\ArrayOfWebMagaza $magazaList
     * @param \SelectSiparis\WebMagazaAyar $ayar
     */
    public function __construct($uyeKodu = null, \SelectSiparis\ArrayOfWebMagaza $magazaList = null, \SelectSiparis\WebMagazaAyar $ayar = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setMagazaList($magazaList)
            ->setAyar($ayar);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \SelectSiparis\SaveMagaza
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get magazaList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\ArrayOfWebMagaza|null
     */
    public function getMagazaList()
    {
        return isset($this->magazaList) ? $this->magazaList : null;
    }
    /**
     * Set magazaList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \SelectSiparis\ArrayOfWebMagaza $magazaList
     * @return \SelectSiparis\SaveMagaza
     */
    public function setMagazaList(\SelectSiparis\ArrayOfWebMagaza $magazaList = null)
    {
        if (is_null($magazaList) || (is_array($magazaList) && empty($magazaList))) {
            unset($this->magazaList);
        } else {
            $this->magazaList = $magazaList;
        }
        return $this;
    }
    /**
     * Get ayar value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\WebMagazaAyar|null
     */
    public function getAyar()
    {
        return isset($this->ayar) ? $this->ayar : null;
    }
    /**
     * Set ayar value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \SelectSiparis\WebMagazaAyar $ayar
     * @return \SelectSiparis\SaveMagaza
     */
    public function setAyar(\SelectSiparis\WebMagazaAyar $ayar = null)
    {
        if (is_null($ayar) || (is_array($ayar) && empty($ayar))) {
            unset($this->ayar);
        } else {
            $this->ayar = $ayar;
        }
        return $this;
    }
}
