<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectIadeOdemeFiltre StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SelectIadeOdemeFiltre
 * @subpackage Structs
 */
class SelectIadeOdemeFiltre extends AbstractStructBase
{
    /**
     * The BankaId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $BankaId;
    /**
     * The IadeOdemeTarihiBas
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IadeOdemeTarihiBas;
    /**
     * The IadeOdemeTarihiSon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IadeOdemeTarihiSon;
    /**
     * The IslemTip
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $IslemTip;
    /**
     * The SiparisId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisId;
    /**
     * Constructor method for SelectIadeOdemeFiltre
     * @uses SelectIadeOdemeFiltre::setBankaId()
     * @uses SelectIadeOdemeFiltre::setIadeOdemeTarihiBas()
     * @uses SelectIadeOdemeFiltre::setIadeOdemeTarihiSon()
     * @uses SelectIadeOdemeFiltre::setIslemTip()
     * @uses SelectIadeOdemeFiltre::setSiparisId()
     * @param int $bankaId
     * @param string $iadeOdemeTarihiBas
     * @param string $iadeOdemeTarihiSon
     * @param string $islemTip
     * @param int $siparisId
     */
    public function __construct($bankaId = null, $iadeOdemeTarihiBas = null, $iadeOdemeTarihiSon = null, $islemTip = null, $siparisId = null)
    {
        $this
            ->setBankaId($bankaId)
            ->setIadeOdemeTarihiBas($iadeOdemeTarihiBas)
            ->setIadeOdemeTarihiSon($iadeOdemeTarihiSon)
            ->setIslemTip($islemTip)
            ->setSiparisId($siparisId);
    }
    /**
     * Get BankaId value
     * @return int|null
     */
    public function getBankaId()
    {
        return $this->BankaId;
    }
    /**
     * Set BankaId value
     * @param int $bankaId
     * @return \SelectSiparis\SelectIadeOdemeFiltre
     */
    public function setBankaId($bankaId = null)
    {
        // validation for constraint: int
        if (!is_null($bankaId) && !(is_int($bankaId) || ctype_digit($bankaId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($bankaId, true), gettype($bankaId)), __LINE__);
        }
        $this->BankaId = $bankaId;
        return $this;
    }
    /**
     * Get IadeOdemeTarihiBas value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIadeOdemeTarihiBas()
    {
        return isset($this->IadeOdemeTarihiBas) ? $this->IadeOdemeTarihiBas : null;
    }
    /**
     * Set IadeOdemeTarihiBas value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $iadeOdemeTarihiBas
     * @return \SelectSiparis\SelectIadeOdemeFiltre
     */
    public function setIadeOdemeTarihiBas($iadeOdemeTarihiBas = null)
    {
        // validation for constraint: string
        if (!is_null($iadeOdemeTarihiBas) && !is_string($iadeOdemeTarihiBas)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iadeOdemeTarihiBas, true), gettype($iadeOdemeTarihiBas)), __LINE__);
        }
        if (is_null($iadeOdemeTarihiBas) || (is_array($iadeOdemeTarihiBas) && empty($iadeOdemeTarihiBas))) {
            unset($this->IadeOdemeTarihiBas);
        } else {
            $this->IadeOdemeTarihiBas = $iadeOdemeTarihiBas;
        }
        return $this;
    }
    /**
     * Get IadeOdemeTarihiSon value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIadeOdemeTarihiSon()
    {
        return isset($this->IadeOdemeTarihiSon) ? $this->IadeOdemeTarihiSon : null;
    }
    /**
     * Set IadeOdemeTarihiSon value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $iadeOdemeTarihiSon
     * @return \SelectSiparis\SelectIadeOdemeFiltre
     */
    public function setIadeOdemeTarihiSon($iadeOdemeTarihiSon = null)
    {
        // validation for constraint: string
        if (!is_null($iadeOdemeTarihiSon) && !is_string($iadeOdemeTarihiSon)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iadeOdemeTarihiSon, true), gettype($iadeOdemeTarihiSon)), __LINE__);
        }
        if (is_null($iadeOdemeTarihiSon) || (is_array($iadeOdemeTarihiSon) && empty($iadeOdemeTarihiSon))) {
            unset($this->IadeOdemeTarihiSon);
        } else {
            $this->IadeOdemeTarihiSon = $iadeOdemeTarihiSon;
        }
        return $this;
    }
    /**
     * Get IslemTip value
     * @return string|null
     */
    public function getIslemTip()
    {
        return $this->IslemTip;
    }
    /**
     * Set IslemTip value
     * @uses \SelectSiparis\OdemeIadeIslemTip::valueIsValid()
     * @uses \SelectSiparis\OdemeIadeIslemTip::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $islemTip
     * @return \SelectSiparis\SelectIadeOdemeFiltre
     */
    public function setIslemTip($islemTip = null)
    {
        // validation for constraint: enumeration
        if (!\SelectSiparis\OdemeIadeIslemTip::valueIsValid($islemTip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \SelectSiparis\OdemeIadeIslemTip', is_array($islemTip) ? implode(', ', $islemTip) : var_export($islemTip, true), implode(', ', \SelectSiparis\OdemeIadeIslemTip::getValidValues())), __LINE__);
        }
        $this->IslemTip = $islemTip;
        return $this;
    }
    /**
     * Get SiparisId value
     * @return int|null
     */
    public function getSiparisId()
    {
        return $this->SiparisId;
    }
    /**
     * Set SiparisId value
     * @param int $siparisId
     * @return \SelectSiparis\SelectIadeOdemeFiltre
     */
    public function setSiparisId($siparisId = null)
    {
        // validation for constraint: int
        if (!is_null($siparisId) && !(is_int($siparisId) || ctype_digit($siparisId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisId, true), gettype($siparisId)), __LINE__);
        }
        $this->SiparisId = $siparisId;
        return $this;
    }
}
