<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SetFaturaNo StructType
 * @subpackage Structs
 */
class SetFaturaNo extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The SiparisID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisID;
    /**
     * The FaturaNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $FaturaNo;
    /**
     * The FaturaTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $FaturaTarihi;
    /**
     * Constructor method for SetFaturaNo
     * @uses SetFaturaNo::setUyeKodu()
     * @uses SetFaturaNo::setSiparisID()
     * @uses SetFaturaNo::setFaturaNo()
     * @uses SetFaturaNo::setFaturaTarihi()
     * @param string $uyeKodu
     * @param int $siparisID
     * @param string $faturaNo
     * @param string $faturaTarihi
     */
    public function __construct($uyeKodu = null, $siparisID = null, $faturaNo = null, $faturaTarihi = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setSiparisID($siparisID)
            ->setFaturaNo($faturaNo)
            ->setFaturaTarihi($faturaTarihi);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \SelectSiparis\SetFaturaNo
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get SiparisID value
     * @return int|null
     */
    public function getSiparisID()
    {
        return $this->SiparisID;
    }
    /**
     * Set SiparisID value
     * @param int $siparisID
     * @return \SelectSiparis\SetFaturaNo
     */
    public function setSiparisID($siparisID = null)
    {
        // validation for constraint: int
        if (!is_null($siparisID) && !(is_int($siparisID) || ctype_digit($siparisID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisID, true), gettype($siparisID)), __LINE__);
        }
        $this->SiparisID = $siparisID;
        return $this;
    }
    /**
     * Get FaturaNo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFaturaNo()
    {
        return isset($this->FaturaNo) ? $this->FaturaNo : null;
    }
    /**
     * Set FaturaNo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $faturaNo
     * @return \SelectSiparis\SetFaturaNo
     */
    public function setFaturaNo($faturaNo = null)
    {
        // validation for constraint: string
        if (!is_null($faturaNo) && !is_string($faturaNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($faturaNo, true), gettype($faturaNo)), __LINE__);
        }
        if (is_null($faturaNo) || (is_array($faturaNo) && empty($faturaNo))) {
            unset($this->FaturaNo);
        } else {
            $this->FaturaNo = $faturaNo;
        }
        return $this;
    }
    /**
     * Get FaturaTarihi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFaturaTarihi()
    {
        return isset($this->FaturaTarihi) ? $this->FaturaTarihi : null;
    }
    /**
     * Set FaturaTarihi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $faturaTarihi
     * @return \SelectSiparis\SetFaturaNo
     */
    public function setFaturaTarihi($faturaTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($faturaTarihi) && !is_string($faturaTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($faturaTarihi, true), gettype($faturaTarihi)), __LINE__);
        }
        if (is_null($faturaTarihi) || (is_array($faturaTarihi) && empty($faturaTarihi))) {
            unset($this->FaturaTarihi);
        } else {
            $this->FaturaTarihi = $faturaTarihi;
        }
        return $this;
    }
}
