<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SetSiparisDurumListeResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SetSiparisDurumListeResponse
 * @subpackage Structs
 */
class SetSiparisDurumListeResponse extends WebServisResponse
{
    /**
     * The Basarili
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Basarili;
    /**
     * The Hatali
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Hatali;
    /**
     * The HataliListe
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\ArrayOfSetSiparisDurumListError
     */
    public $HataliListe;
    /**
     * The SetSiparisDurumListeResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \SelectSiparis\SetSiparisDurumListeResponse
     */
    public $SetSiparisDurumListeResult;
    /**
     * Constructor method for SetSiparisDurumListeResponse
     * @uses SetSiparisDurumListeResponse::setBasarili()
     * @uses SetSiparisDurumListeResponse::setHatali()
     * @uses SetSiparisDurumListeResponse::setHataliListe()
     * @uses SetSiparisDurumListeResponse::setSetSiparisDurumListeResult()
     * @param int $basarili
     * @param int $hatali
     * @param \SelectSiparis\ArrayOfSetSiparisDurumListError $hataliListe
     * @param \SelectSiparis\SetSiparisDurumListeResponse $setSiparisDurumListeResult
     */
    public function __construct($basarili = null, $hatali = null, \SelectSiparis\ArrayOfSetSiparisDurumListError $hataliListe = null, \SelectSiparis\SetSiparisDurumListeResponse $setSiparisDurumListeResult = null)
    {
        $this
            ->setBasarili($basarili)
            ->setHatali($hatali)
            ->setHataliListe($hataliListe)
            ->setSetSiparisDurumListeResult($setSiparisDurumListeResult);
    }
    /**
     * Get Basarili value
     * @return int|null
     */
    public function getBasarili()
    {
        return $this->Basarili;
    }
    /**
     * Set Basarili value
     * @param int $basarili
     * @return \SelectSiparis\SetSiparisDurumListeResponse
     */
    public function setBasarili($basarili = null)
    {
        // validation for constraint: int
        if (!is_null($basarili) && !(is_int($basarili) || ctype_digit($basarili))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($basarili, true), gettype($basarili)), __LINE__);
        }
        $this->Basarili = $basarili;
        return $this;
    }
    /**
     * Get Hatali value
     * @return int|null
     */
    public function getHatali()
    {
        return $this->Hatali;
    }
    /**
     * Set Hatali value
     * @param int $hatali
     * @return \SelectSiparis\SetSiparisDurumListeResponse
     */
    public function setHatali($hatali = null)
    {
        // validation for constraint: int
        if (!is_null($hatali) && !(is_int($hatali) || ctype_digit($hatali))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($hatali, true), gettype($hatali)), __LINE__);
        }
        $this->Hatali = $hatali;
        return $this;
    }
    /**
     * Get HataliListe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\ArrayOfSetSiparisDurumListError|null
     */
    public function getHataliListe()
    {
        return isset($this->HataliListe) ? $this->HataliListe : null;
    }
    /**
     * Set HataliListe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \SelectSiparis\ArrayOfSetSiparisDurumListError $hataliListe
     * @return \SelectSiparis\SetSiparisDurumListeResponse
     */
    public function setHataliListe(\SelectSiparis\ArrayOfSetSiparisDurumListError $hataliListe = null)
    {
        if (is_null($hataliListe) || (is_array($hataliListe) && empty($hataliListe))) {
            unset($this->HataliListe);
        } else {
            $this->HataliListe = $hataliListe;
        }
        return $this;
    }
    /**
     * Get SetSiparisDurumListeResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \SelectSiparis\SetSiparisDurumListeResponse|null
     */
    public function getSetSiparisDurumListeResult()
    {
        return isset($this->SetSiparisDurumListeResult) ? $this->SetSiparisDurumListeResult : null;
    }
    /**
     * Set SetSiparisDurumListeResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \SelectSiparis\SetSiparisDurumListeResponse $setSiparisDurumListeResult
     * @return \SelectSiparis\SetSiparisDurumListeResponse
     */
    public function setSetSiparisDurumListeResult(\SelectSiparis\SetSiparisDurumListeResponse $setSiparisDurumListeResult = null)
    {
        if (is_null($setSiparisDurumListeResult) || (is_array($setSiparisDurumListeResult) && empty($setSiparisDurumListeResult))) {
            unset($this->SetSiparisDurumListeResult);
        } else {
            $this->SetSiparisDurumListeResult = $setSiparisDurumListeResult;
        }
        return $this;
    }
}
