<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebSiparisDurumLogFiltre StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebSiparisDurumLogFiltre
 * @subpackage Structs
 */
class WebSiparisDurumLogFiltre extends AbstractStructBase
{
    /**
     * The SiparisID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisID;
    /**
     * The TarihBas
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TarihBas;
    /**
     * The TarihSon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TarihSon;
    /**
     * Constructor method for WebSiparisDurumLogFiltre
     * @uses WebSiparisDurumLogFiltre::setSiparisID()
     * @uses WebSiparisDurumLogFiltre::setTarihBas()
     * @uses WebSiparisDurumLogFiltre::setTarihSon()
     * @param int $siparisID
     * @param string $tarihBas
     * @param string $tarihSon
     */
    public function __construct($siparisID = null, $tarihBas = null, $tarihSon = null)
    {
        $this
            ->setSiparisID($siparisID)
            ->setTarihBas($tarihBas)
            ->setTarihSon($tarihSon);
    }
    /**
     * Get SiparisID value
     * @return int|null
     */
    public function getSiparisID()
    {
        return $this->SiparisID;
    }
    /**
     * Set SiparisID value
     * @param int $siparisID
     * @return \SelectSiparis\WebSiparisDurumLogFiltre
     */
    public function setSiparisID($siparisID = null)
    {
        // validation for constraint: int
        if (!is_null($siparisID) && !(is_int($siparisID) || ctype_digit($siparisID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisID, true), gettype($siparisID)), __LINE__);
        }
        $this->SiparisID = $siparisID;
        return $this;
    }
    /**
     * Get TarihBas value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTarihBas()
    {
        return isset($this->TarihBas) ? $this->TarihBas : null;
    }
    /**
     * Set TarihBas value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tarihBas
     * @return \SelectSiparis\WebSiparisDurumLogFiltre
     */
    public function setTarihBas($tarihBas = null)
    {
        // validation for constraint: string
        if (!is_null($tarihBas) && !is_string($tarihBas)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tarihBas, true), gettype($tarihBas)), __LINE__);
        }
        if (is_null($tarihBas) || (is_array($tarihBas) && empty($tarihBas))) {
            unset($this->TarihBas);
        } else {
            $this->TarihBas = $tarihBas;
        }
        return $this;
    }
    /**
     * Get TarihSon value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTarihSon()
    {
        return isset($this->TarihSon) ? $this->TarihSon : null;
    }
    /**
     * Set TarihSon value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tarihSon
     * @return \SelectSiparis\WebSiparisDurumLogFiltre
     */
    public function setTarihSon($tarihSon = null)
    {
        // validation for constraint: string
        if (!is_null($tarihSon) && !is_string($tarihSon)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tarihSon, true), gettype($tarihSon)), __LINE__);
        }
        if (is_null($tarihSon) || (is_array($tarihSon) && empty($tarihSon))) {
            unset($this->TarihSon);
        } else {
            $this->TarihSon = $tarihSon;
        }
        return $this;
    }
}
