<?php

namespace SelectSiparis;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebSiparisSaveUrun StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebSiparisSaveUrun
 * @subpackage Structs
 */
class WebSiparisSaveUrun extends AbstractStructBase
{
    /**
     * The Adet
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Adet;
    /**
     * The KdvOrani
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KdvOrani;
    /**
     * The KdvTutari
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $KdvTutari;
    /**
     * The MagazaId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $MagazaId;
    /**
     * The MagazaStokKontrolEt
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $MagazaStokKontrolEt;
    /**
     * The Maliyet
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Maliyet;
    /**
     * The Tutar
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Tutar;
    /**
     * The UrunID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunID;
    /**
     * Constructor method for WebSiparisSaveUrun
     * @uses WebSiparisSaveUrun::setAdet()
     * @uses WebSiparisSaveUrun::setKdvOrani()
     * @uses WebSiparisSaveUrun::setKdvTutari()
     * @uses WebSiparisSaveUrun::setMagazaId()
     * @uses WebSiparisSaveUrun::setMagazaStokKontrolEt()
     * @uses WebSiparisSaveUrun::setMaliyet()
     * @uses WebSiparisSaveUrun::setTutar()
     * @uses WebSiparisSaveUrun::setUrunID()
     * @param float $adet
     * @param int $kdvOrani
     * @param float $kdvTutari
     * @param int $magazaId
     * @param bool $magazaStokKontrolEt
     * @param float $maliyet
     * @param float $tutar
     * @param int $urunID
     */
    public function __construct($adet = null, $kdvOrani = null, $kdvTutari = null, $magazaId = null, $magazaStokKontrolEt = null, $maliyet = null, $tutar = null, $urunID = null)
    {
        $this
            ->setAdet($adet)
            ->setKdvOrani($kdvOrani)
            ->setKdvTutari($kdvTutari)
            ->setMagazaId($magazaId)
            ->setMagazaStokKontrolEt($magazaStokKontrolEt)
            ->setMaliyet($maliyet)
            ->setTutar($tutar)
            ->setUrunID($urunID);
    }
    /**
     * Get Adet value
     * @return float|null
     */
    public function getAdet()
    {
        return $this->Adet;
    }
    /**
     * Set Adet value
     * @param float $adet
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setAdet($adet = null)
    {
        // validation for constraint: float
        if (!is_null($adet) && !(is_float($adet) || is_numeric($adet))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($adet, true), gettype($adet)), __LINE__);
        }
        $this->Adet = $adet;
        return $this;
    }
    /**
     * Get KdvOrani value
     * @return int|null
     */
    public function getKdvOrani()
    {
        return $this->KdvOrani;
    }
    /**
     * Set KdvOrani value
     * @param int $kdvOrani
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setKdvOrani($kdvOrani = null)
    {
        // validation for constraint: int
        if (!is_null($kdvOrani) && !(is_int($kdvOrani) || ctype_digit($kdvOrani))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($kdvOrani, true), gettype($kdvOrani)), __LINE__);
        }
        $this->KdvOrani = $kdvOrani;
        return $this;
    }
    /**
     * Get KdvTutari value
     * @return float|null
     */
    public function getKdvTutari()
    {
        return $this->KdvTutari;
    }
    /**
     * Set KdvTutari value
     * @param float $kdvTutari
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setKdvTutari($kdvTutari = null)
    {
        // validation for constraint: float
        if (!is_null($kdvTutari) && !(is_float($kdvTutari) || is_numeric($kdvTutari))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($kdvTutari, true), gettype($kdvTutari)), __LINE__);
        }
        $this->KdvTutari = $kdvTutari;
        return $this;
    }
    /**
     * Get MagazaId value
     * @return int|null
     */
    public function getMagazaId()
    {
        return $this->MagazaId;
    }
    /**
     * Set MagazaId value
     * @param int $magazaId
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setMagazaId($magazaId = null)
    {
        // validation for constraint: int
        if (!is_null($magazaId) && !(is_int($magazaId) || ctype_digit($magazaId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($magazaId, true), gettype($magazaId)), __LINE__);
        }
        $this->MagazaId = $magazaId;
        return $this;
    }
    /**
     * Get MagazaStokKontrolEt value
     * @return bool|null
     */
    public function getMagazaStokKontrolEt()
    {
        return $this->MagazaStokKontrolEt;
    }
    /**
     * Set MagazaStokKontrolEt value
     * @param bool $magazaStokKontrolEt
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setMagazaStokKontrolEt($magazaStokKontrolEt = null)
    {
        // validation for constraint: boolean
        if (!is_null($magazaStokKontrolEt) && !is_bool($magazaStokKontrolEt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($magazaStokKontrolEt, true), gettype($magazaStokKontrolEt)), __LINE__);
        }
        $this->MagazaStokKontrolEt = $magazaStokKontrolEt;
        return $this;
    }
    /**
     * Get Maliyet value
     * @return float|null
     */
    public function getMaliyet()
    {
        return $this->Maliyet;
    }
    /**
     * Set Maliyet value
     * @param float $maliyet
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setMaliyet($maliyet = null)
    {
        // validation for constraint: float
        if (!is_null($maliyet) && !(is_float($maliyet) || is_numeric($maliyet))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($maliyet, true), gettype($maliyet)), __LINE__);
        }
        $this->Maliyet = $maliyet;
        return $this;
    }
    /**
     * Get Tutar value
     * @return float|null
     */
    public function getTutar()
    {
        return $this->Tutar;
    }
    /**
     * Set Tutar value
     * @param float $tutar
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setTutar($tutar = null)
    {
        // validation for constraint: float
        if (!is_null($tutar) && !(is_float($tutar) || is_numeric($tutar))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tutar, true), gettype($tutar)), __LINE__);
        }
        $this->Tutar = $tutar;
        return $this;
    }
    /**
     * Get UrunID value
     * @return int|null
     */
    public function getUrunID()
    {
        return $this->UrunID;
    }
    /**
     * Set UrunID value
     * @param int $urunID
     * @return \SelectSiparis\WebSiparisSaveUrun
     */
    public function setUrunID($urunID = null)
    {
        // validation for constraint: int
        if (!is_null($urunID) && !(is_int($urunID) || ctype_digit($urunID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($urunID, true), gettype($urunID)), __LINE__);
        }
        $this->UrunID = $urunID;
        return $this;
    }
}
